<?php

// no direct access
defined('_JEXEC') or die('Restricted access');
require_once (dirname(__FILE__) . DS . 'helpers' . DS . 'helper.php');
global $mainframe;
$files = JFolder::files(dirname(__FILE__) . DS . 'helpers' . DS . 'adapter');
if ($files) {
    foreach ($files as $file) {
        require_once (dirname(__FILE__) . DS . 'helpers' . DS . 'adapter' . DS . $file);
    }
}

$helper = new modJaNewsFrontpageHelper($module, $params);
$theme = $helper->get('themes', 'default');
if (JRequest::getBool('janews_fp_ajax')) {
    if (JRequest::getInt('moduleid') != $module->id)
        return;
    $count = JRequest::getInt('count', 1);
    if (!$count)
        $count = 1;
    $limitstart = (int) $helper->get('more_article', 5) * $count + ((int) $helper->get('numberofheadlinenews', 10) - (int) $helper->get('more_article', 5));
    $helper->set('limitstart', $limitstart);
    $helper->set('limit', (int) $helper->get('more_article', 6));
    $helper->_load($params);
    $flagMore = -1;
}

if (!defined('_MODE_JAMODNEWSFP_ASSETS_')) {
    define('_MODE_JAMODNEWSFP_ASSETS_', 1);
    JHTML::stylesheet('style.css', 'modules/' . $module->module . '/assets/css/');

    if (is_file(JPATH_SITE . DS . 'templates' . DS . $mainframe->getTemplate() . DS . 'css' . DS . $module->module . ".css"))
        JHTML::stylesheet($module->module . ".css", 'templates/' . $mainframe->getTemplate() . '/css/');

    JHTML::_('behavior.mootools');
    JHTML::_('behavior.tooltip');
    if (file_exists(JPATH_SITE . DS . 'modules/' . $module->module . '/assets/js/script.js'))
        JHTML::script('script.js', 'modules/' . $module->module . '/assets/js/');
}

if (!defined('_MODE_JAMODNEWSFP_ASSETS_' . $theme)) {
    define('_MODE_JAMODNEWSFP_ASSETS_' . $theme, 1);

    if (is_file(JPATH_SITE . DS . 'modules' . DS . $module->module . DS . 'tmpl' . DS . $theme . DS . "style.css"))
        JHTML::stylesheet("style.css", 'modules/' . $module->module . '/tmpl/' . $theme . '/');

    if (is_file(JPATH_SITE . DS . 'templates' . DS . $mainframe->getTemplate() . DS . 'html' . DS . $module->module . DS . $theme . DS . "style.css"))
        JHTML::stylesheet("style.css", 'templates/' . $mainframe->getTemplate() . '/html/' . $module->module . '/' . $theme . '/');
}

global $mainframe;
$cache_id = '';

$use_cache = 1; //$mainframe->getCfg("caching");
if ($params->get('jacache') == "1" && $use_cache == "1") {
    $options = array('lifetime' => (int) ($params->get('jacache_time', 30) * 60), 'caching' => true);

    jimport('joomla.cache.cache');
    $cache = new JCache($options);

    /* Make cache id */
    $cache_id = $helper->_makeId($params, $module->id);
    if ($cache_id != '') {
        $oldlen = strlen(ob_get_contents());
    }

    if ($helper->check_cache($cache, $cache_id, $module->module)) {
        if (JRequest::getBool('janews_fp_ajax'))
            exit();
        return;
    }

}

$helper->_load($params);
$rows = $helper->articles;
//count Number of Featured Articles on setting
$helper->set('bigitems', $helper->get( 'bigitems', 1)>count($rows)?count($rows):$helper->get( 'bigitems', 1));
if (JRequest::getBool('janews_fp_ajax')) {
    $path = JModuleHelper::getLayoutPath($module->module, $theme . '/blog_links');
    ob_clean();
    require ($path);

    /* Set cache */
    if ($params->get('jacache') == "1" && $use_cache == "1") {

        $maincontent = substr(ob_get_contents(), $oldlen);
        if ($maincontent) {
            $cache->store($maincontent, $cache_id, $module->module);
        }
    }

    exit();
} else {
    $path = JModuleHelper::getLayoutPath($module->module, $theme . '/blog');
    if (file_exists($path)) {
        require ($path);
        /* Set cache */
        if ($params->get('jacache') == "1" && $use_cache == "1") {

            $maincontent = substr(ob_get_contents(), $oldlen);
            if ($maincontent) {
                $cache->store($maincontent, $cache_id, $module->module);
            }
        }
    }
}

?>